Docker Volume
Docker Volume get Volumes
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/dockerVolume.getVolumes"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Docker Volume get Volumes Size
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/dockerVolume.getVolumesSize"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Docker Volume list Volume Files
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
^[a-zA-Z0-9.\-_]+$1 <= length1 <= length <= 4096Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/dockerVolume.listVolumeFiles?volumeName=string&path=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Docker Volume read Volume File
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
^[a-zA-Z0-9.\-_]+$1 <= length1 <= length <= 4096Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/dockerVolume.readVolumeFile?volumeName=string&path=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Docker Volume write Volume File
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
^[a-zA-Z0-9.\-_]+$1 <= length1 <= length <= 4096Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/dockerVolume.writeVolumeFile" \ -H "Content-Type: application/json" \ -d '{ "volumeName": "string", "path": "string", "content": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Docker Volume delete Volume File
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
^[a-zA-Z0-9.\-_]+$1 <= length1 <= length <= 4096Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/dockerVolume.deleteVolumeFile" \ -H "Content-Type: application/json" \ -d '{ "volumeName": "string", "path": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Docker Volume get Volume Config
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
^[a-zA-Z0-9.\-_]+$1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/dockerVolume.getVolumeConfig?volumeName=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Docker Volume remove Volume
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
^[a-zA-Z0-9.\-_]+$1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/dockerVolume.removeVolume" \ -H "Content-Type: application/json" \ -d '{ "volumeName": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}